节点js win32ole安装错误

当我试图运行这个命令“npm我win32ole”时出现错误。

C:\NODE JS. EXPRESS\node_modules\win32ole\node_modules\ref>if not defined npm_co nfig_node_gyp (node "C:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin\\ ..\..\node_modules\node-gyp\bin\node-gyp.js" rebuild ) else (rebuild) Построение проектов в этом решении по одному. Чтобы включить параллельную сборку , добавьте параметр "/m". C:\NODE JS. EXPRESS\node_modules\win32ole\node_modules\ref\build\binding.vcxpro j(44,46): error MSB4025: не удалось загрузить файл проекта. Недопустимый знак д ля указанной кодировки., строка 44, позиция 46. gyp ERR! build error gyp ERR! stack Error: `C:\Windows\Microsoft.NET\Framework\v4.0.30319\msbuild.exe ` failed with exit code: 1 gyp ERR! stack at ChildProcess.onExit (C:\Program Files\nodejs\node_modules\ npm\node_modules\node-gyp\lib\build.js:269:23) gyp ERR! stack at ChildProcess.emit (events.js:110:17) gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:1074 :12) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "node" "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modu les\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd C:\NODE JS. EXPRESS\node_modules\win32ole\node_modules\ref gyp ERR! node -v v0.12.4 gyp ERR! node-gyp -v v1.0.3 gyp ERR! not ok npm ERR! Windows_NT 6.1.7601 npm ERR! argv "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nodejs \\node_modules\\npm\\bin\\npm-cli.js" "i" "win32ole" npm ERR! node v0.12.4 npm ERR! npm v2.10.1 npm ERR! code 

有没有办法解决这个问题? 我已经在Windows 7上安装了vc + 2008和Python 2.7.1

       

网上收集的解决方案 "节点js win32ole安装错误"

对不起,我不确定俄文是怎么说的。 谷歌翻译说了一些关于编码。 但是,以下可能会有所帮助。

来自win32ole的package.json:

  "engines": { "node": ">= 0.8.18 && < 0.9.0" }, 

这表明win32ole仅与您安装的节点版本范围相比较低。 我最近的经验大多证实了这一点。 我无法安装使用节点v4.2.0,但我已经能够使用节点v0.10.x安装。 所以请尝试降低您的节点版本; nvm可以帮助节点版本切换。

另外,尝试

npm install node-gyp@latest in C:\Program Files\nodejs\node_modules\npm\

我已经阅读了Windows的早期版本的node-gyp,并经历了许多问题。 更新你的版本可能有帮助; 它帮助了我。